# EDDN - Elite Dangerous Data Network

## About EDDN
Elite Dangerous Data Network is a tool that facilitates the players of the game
[Elite Dangerous](https://www.elitedangerous.com/), including its 
expansions, sharing data about the game galaxy with others.
By pooling data in a common format, tools and analyses can be produced that add
an even greater depth and vibrancy to the in-game universe.

EDDN is not run by or affiliated with the developer of the game - [Frontier 
Developments](http://www.frontier.co.uk/).

The live EDDN service itself does not store any data, and thus makes no 
archive or "current state" available to anyone.  What it provides is a
stream of live data to any interested parties.  Some of those then make 
aggregated data available for general use.

---

## Using EDDN
### Game players
If you are a player of the game and only want to help out by sharing the 
data available to you over EDDN then please consult the
[EDCD Cmdr's Guide](https://edcd.github.io/cmdrs-guide.html).  For the most 
part if you want to share data then you will need to be playing the game on a 
PC, but there are some tools that utilise an API provided by the game 
developer that can supply some data if you are playing on a console.

If you're looking for tools that utilise EDDN data to enhance your experience
then you're probably looking for one of the sites listed below.  NB: These are
listed in name-alphabetical order and no particular ranking or endorsement is
intended.

- [EDDB](https://eddb.io/) - a website which tries to act as a database of all
 the data available in the game. In general EDDB tries to help finding 
 stuff which players are looking for.
- [EDSM](https://www.edsm.net/) - originally focused on being a 'Star Map', 
  but has since expanded its functionality.  Of particular interest to 
  in-game explorers.
- [Inara](https://inara.cz/) - a popular alternative to EDDB, with a lot of 
  its own unique functionality.
- [Spansh](https://www.spansh.co.uk/plotter) - originally this had one tool,
  a 'Neutron Star' route plotter, but has since expanded into offering many 
  other route plotting tools and general data searching.

There are many other third-party tools for Elite Dangerous listed on
[Elite: Dangerous Codex](https://edcodex.info/), some of which will 
interact with EDDN.  Check the [EDDN tag](https://edcodex.info/?m=tools&cat=9).

### Developers
If you are a developer of a third-party tool that could be enhanced by 
uploading data to EDDN then please consult
[the live branch documentation](https://github.com/EDCD/EDDN/blob/live/schemas/README-EDDN-schemas.md)
.
**DO NOT** assume that any code or documentation in the `master` (or 
any other) branch on GitHub truly reflects the current live service!

### Misc
There is also a [wiki page](https://github.com/EDSM-NET/EDDN/wiki), but its 
contents are currently being migrated into the source code tree (so that 
they always match the in-use code).

Consult [EDDN Status](https://eddn.edcd.io/) for some information about, 
and statistics for, the live service.

---

## Hosting of the live service

Hosting is currently provided by the
[Elite: Dangerous Community Developers](https://edcd.github.io/).

